Name:           python-numba-mpi
Version:        1.1.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Numba @jittable MPI wrappers tested on Linux, macOS and Windows

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/numba-mpi/numba-mpi
Source:         %{pypi_source numba_mpi}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'numba-mpi' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-numba-mpi
Summary:        %{summary}

%description -n python3-numba-mpi %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-numba-mpi tests


%prep
%autosetup -p1 -n numba_mpi-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-numba-mpi -f %{pyproject_files}


%changelog
%autochangelog